Bug 460253 - Review Request: qle - A QSO Logger and log Editor
Review Request: qle - A QSO Logger and log Editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 01:17 EDT by Lucian Langa
Modified: 2008-12-13 10:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-23 14:23:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2008-08-27 01:17:32 EDT
Spec URL: http://lucilanga.fedorapeople.org/qle.spec
SRPM URL: http://lucilanga.fedorapeople.org/qle-0.0.10-1.fc9.src.rpm
Description: The qle-package is a graphic QSO log viewer, log editor and QSO logger for amateur radio operators.

'qle' stands  for QSO Logger and  Editor. It is a  Perl/Tk script that
logs (or modifies)  QSOs directly  in a  fast and  light-weight SQLite
database.

Intended use: casual logging of  rag-chew and contest QSOs. The logger
caters for CW operators.

Table  headings, fonts,  colours and  other  attributes are  set in  a
user-editable configuration  file. The SQLite log  schema supplied may
be  altered to  suit your  taste, provided  the configuration  file is
updated accordingly.
Comment 1 Lucian Langa 2008-08-28 01:15:31 EDT
.. added missing desktop file and bumped version

http://lucilanga.fedorapeople.org/qle-0.0.10-2.fc9.src.rpm
http://lucilanga.fedorapeople.org/qle.spec
Comment 2 Jason Tibbitts 2008-11-20 14:50:52 EST
This one builds, and is rather simple.

I guess it might be nice to define QSO somewhere in your %description.  I guess it makes sense to those who already know what it means, but it means nothing to me.

This package should own /etc/qle

* source files match upstream.  sha256sum:
   2e948b64233ded37b80a3e77009f1006bce40428f857a01792f3dd2385a7edb3  
   qle-0.0.10.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK (maybe define QSO)
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   config(qle) = 0.0.10-2.fc10
   qle = 0.0.10-2.fc10
  =
   /bin/bash
   /usr/bin/perl
   config(qle) = 0.0.10-2.fc10
   cwdaemon
   hamlib-perl
   perl
   perl(Config::General)
   perl(DBD::SQLite)
   perl(DBI)
   perl(English)
   perl(File::Basename)
   perl(IO::Socket)
   perl(Tk)
   perl(Tk::After)
   perl(Tk::Bitmap)
   perl(Tk::ErrorDialog)
   perl(Tk::ItemStyle)
   perl(strict)
   perl(warnings)

* %check is not present; no test suite upstream.  It seems to work when I run 
   it, although I've no idea how to do anything.
X fails to own /erc/qle
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* desktop files valid and installed properly.
Comment 3 Lucian Langa 2008-11-20 15:32:59 EST
> I guess it might be nice to define QSO somewhere in your %description.  I guess
> it makes sense to those who already know what it means, but it means nothing to
> me.

> 
> This package should own /etc/qle

Updated both:

http://lucilanga.fedorapeople.org/qle.spec
http://lucilanga.fedorapeople.org/qle-0.0.10-3.fc10.src.rpm
Comment 4 Jason Tibbitts 2008-11-20 16:02:45 EST
Looks good; thanks.

APPROVED
Comment 5 Lucian Langa 2008-11-21 00:47:09 EST
New Package CVS Request
=======================
Package Name: qle
Short Description: A QSO Logger and log Editor
Owners: lucilanga
Branches: F-8 F-9 devel EL-5 
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2008-11-22 23:32:25 EST
cvs done.
Comment 7 Fedora Update System 2008-11-23 14:21:09 EST
qle-0.0.10-5.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/qle-0.0.10-5.fc8
Comment 8 Fedora Update System 2008-11-23 14:22:00 EST
qle-0.0.10-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/qle-0.0.10-5.fc9
Comment 9 Fedora Update System 2008-11-23 14:23:11 EST
qle-0.0.10-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qle-0.0.10-5.fc10
Comment 10 Fedora Update System 2008-12-13 09:55:44 EST
qle-0.0.10-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-13 09:57:17 EST
qle-0.0.10-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-12-13 10:03:29 EST
qle-0.0.10-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.